Name: dom4j
Version: 1.6
Release: alt1

Summary: DOM4J
License: BSD-style
Url: http://www.dom4j.org/
Group: Text tools

Source0: dom4j-1.6.tar.bz2
Source1: dom4j_rundemo.sh
Patch0: dom4j-xpp2.1.10.patch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jtidy junitperf isorelax jaxen stax-bea relaxngDatatype
BuildRequires: ws-jaxme jaxp_transform_impl jaxp_parser_impl xml-commons-apis
BuildRequires: xpp2 xpp3 xsdlib msv
Requires: xpp2 xpp3 jaxp_transform_impl jaxp_parser_impl stax-bea msv
Requires: xsdlib relaxngDatatype isorelax jaxen ws-jaxme xml-commons-apis

BuildArch: noarch

%description
dom4j is an Open Source XML framework for Java. dom4j allows you to read,
write, navigate, create and modify XML documents. dom4j integrates with
DOM and SAX and is seamlessly integrated with full XPath support.

%package demo
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Samples for %name.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
Documentation for %name.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %name-%version
# replace run.sh
%__cp %SOURCE1 run.sh
# remove binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove broken test
rm src/test/org/dom4j/bean/BeansTest.java
rm src/test/org/dom4j/datatype/SetDataTest.java
rm src/test/org/dom4j/XPathExamplesTest.java

%patch0 -b .sav

%build
%set_classpath %_javadir/isorelax.jar
%add_classpath %_javadir/jaxen.jar
%add_classpath %_javadir/ws-jaxme/ws-jaxmeapi.jar
%add_classpath %_javadir/ws-jaxme/ws-jaxme2.jar
%add_classpath %_javadir/ws-jaxme/ws-jaxmejs.jar
%add_classpath %_javadir/ws-jaxme/ws-jaxmexs.jar
%add_classpath %_javadir/jtidy.jar
%add_classpath %_javadir/junit.jar
%add_classpath %_javadir/junitperf.jar
%add_classpath %_javadir/msv.jar
%add_classpath %_javadir/relaxngDatatype.jar
%add_classpath %_javadir/stax-bea-api.jar
%add_classpath %_javadir/stax-bea-ri.jar
%add_classpath %_javadir/jaxp_parser_impl.jar
%add_classpath %_javadir/jaxp_transform_impl.jar
%add_classpath %_javadir/xml-commons-apis.jar
%add_classpath %_javadir/xpp2/xpp2.jar
%add_classpath %_javadir/xpp3.jar
%add_classpath %_javadir/xsdlib.jar

CLASSPATH=%_classpath:build/classes:.
%ant_build -Dbuild.sysclasspath=only all samples test

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name/{src,classes/org/dom4j}}

# jars
%__cp -p build/%name.jar %buildroot%_javadir/

# javadoc
%__cp -pr build/doc/javadoc/* %buildroot%_javadocdir/%name/
%__rm -rf docs/apidocs

# demo
%__cp -pr xml %buildroot%_datadir/%name
%__cp -pr src/samples %buildroot%_datadir/%name/src
%__cp -pr build/classes/org/dom4j/samples %buildroot%_datadir/%name/classes/org/dom4j
%__cp -p run.sh %buildroot%_datadir/%name

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%_javadir/%name.jar

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files demo
%defattr(0644,root,root,0755)
%dir %_datadir/%name
%_datadir/%name/classes
%_datadir/%name/src
%_datadir/%name/xml
%attr(0755,root,root) %_datadir/%name/run.sh

%changelog
* Mon Apr 25 2005 Vladimir Lettiev <crux@altlinux.ru> 1.6-alt1
- Initial release for ALT Linux Sisyphus

